Bug 14290 - Add a table foot to circulation matrix
Summary: Add a table foot to circulation matrix
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-28 14:32 UTC by Nicolas Legrand
Modified: 2016-06-21 21:38 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14290: Add a table foot to circulation matrix (2.40 KB, patch)
2015-05-28 14:35 UTC, Nicolas Legrand
Details | Diff | Splinter Review
[Signed-off] Bug 14290: Add a table foot to circulation matrix (2.57 KB, patch)
2015-05-29 10:06 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14290: Add a table foot to circulation matrix (2.62 KB, patch)
2015-05-31 19:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14290 - fix number of columns in footer for 3.18 (1.62 KB, patch)
2015-07-16 12:26 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 14290 - fix number of columns in footer for 3.18 (1.21 KB, patch)
2015-07-16 12:33 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Legrand 2015-05-28 14:32:17 UTC
We have a big circulation matrix, when I edit an entry, it's hard to tell which column I am editing cause the header is way too up. Printing the header in a footer helps a bit.

Test plan : try do add, modify or delete some entries in the circulation matrix, everything should work as expected.
Comment 1 Nicolas Legrand 2015-05-28 14:35:36 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-29 09:18:14 UTC
Hi Nicolas,

What do you think about having the column headers as 'title' attribute in the td tags? We would then have nice tooltips related to each entry.

Marc
Comment 3 Nicolas Legrand 2015-05-29 09:46:54 UTC
Hey Marc,

(In reply to Marc Véron from comment #2)
> Hi Nicolas,
> 
> What do you think about having the column headers as 'title' attribute in
> the td tags? We would then have nice tooltips related to each entry.

Thank you for your suggestion. I'm not sure about it for editing. If I want edit just an entry, the full footer permits me to find that entry in a trice. Having to over every field seems longer to me. I think the footer is better for editing.

However, the tooltip might be an excellent idea for an other purpose : know what value a value is about when lost in a big circulation matrix. That was maybe what you were thinking about?
Comment 4 Marc Véron 2015-05-29 09:57:44 UTC
My idea was to have the tooltip as an addition, not as an alternative to the table footer.
Comment 5 Marc Véron 2015-05-29 10:06:50 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-05-31 19:45:36 UTC
Created attachment 39716 [details] [review]
[PASSED QA] Bug 14290: Add a table foot to circulation matrix

Reprint circulation matrix header in a footer helps editing entries in
big matrix. Otherwise, the header disapears and it's hard to tell
which columns we're editing.

Test plan : try do add, modify or delete some entries in the
circulation matrix, everything should work as expected.

Patch works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2015-05-31 19:46:42 UTC
Nice little patch and an improvement until we can come up with something better to make the big table easier to handle.

I dream of an editable table, where the header always stays visible on top... with sorting and filtering options *sigh* ;)
Comment 8 Tomás Cohen Arazi 2015-06-22 14:57:17 UTC
Patch pushed to master.

Nice improvement, Nicolas!
Comment 9 Chris Cormack 2015-07-09 21:33:26 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 10 Liz Rea 2015-07-16 12:26:32 UTC Comment hidden (obsolete)
Comment 11 Liz Rea 2015-07-16 12:30:31 UTC
Comment on attachment 41019 [details] [review]
Bug 14290 - fix number of columns in footer for 3.18

actually, i have something extra in here. one moment.
Comment 12 Liz Rea 2015-07-16 12:33:42 UTC
Created attachment 41020 [details] [review]
Bug 14290 - fix number of columns in footer for 3.18

Jonathan pointed out that the smart rules table is slightly different in 3.20, this commit cleans it up for 3.18.
Comment 13 Liz Rea 2015-07-20 22:12:05 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 14 Mason James 2015-07-25 07:24:34 UTC
Possible selection for 3.16.x?... needs testing
Comment 15 Liz Rea 2015-07-26 21:12:59 UTC
Mason - the 3.18 version may be closer to what you need :)
Comment 16 Jonathan Druart 2015-10-15 10:26:13 UTC
The table footer should not be contained in the table body.

A correct table structure is:
  table
    -tbody
    -tfoot
not
  table
    -tbody
      -tfoot